
-- DROP TABLE level_factor;



CREATE TABLE level_factor (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    from_score numeric(12) NULL,
    to_score numeric(12) NULL,
    color_code varchar(200) NULL,
    factor_number numeric(12)  NULL,
    level_number numeric(12)  NULL,
    narrative_id numeric(12)  NULL
    );



ALTER TABLE level_factor ADD    
    CONSTRAINT PK_level_factor PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_level_factor_factor_number 
    ON level_factor (factor_number);

    CREATE INDEX idx_level_factor_level_number 
    ON level_factor (level_number);

    CREATE INDEX idx_level_factor_narrative_id 
    ON level_factor (narrative_id);
